<?php
/**
 * Dynamic CSS elements.
 *
 * @package Fairy
 */
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}


if (!function_exists('elf_dynamic_css')) :
    /**
     * Dynamic CSS
     *
     * @since 1.0.0
     *
     * @param null
     * @return null
     *
     */
    function elf_dynamic_css()
    {

        global $fairy_theme_options;
        $elf_custom_css = '';
        $primary_color = esc_html($fairy_theme_options['fairy-primary-color']);

        if(!empty($primary_color)){

            $elf_custom_css .= ".ajax-pagination .show-more { background-color: {$primary_color}; }";

            $elf_custom_css .= ".ajax-pagination .show-more { border-color: {$primary_color}; }";

        }
        wp_add_inline_style('fairy-style', $elf_custom_css);
    }
endif;
add_action('wp_enqueue_scripts', 'elf_dynamic_css', 99);